Status: Closed Start date: Mar 10, 2016

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: Dataminer and StatMan provisioning   

Infrastructure: Development, Production   

Description

Please, update dataminer provisioning scripts with the following information (also available on the Wiki now):

1 - Substitute the 52n-wps-server-3.3.2-X.jar and 52n-wps-algorithm-3.3.2-X.jar with the corresponding jars on our Maven

gcube-externals repository:

(Repository: "gCube Externals")

 <dependency>

   <groupId>rapidminer-custom</groupId>

   <artifactId>52n-wps-server-d4science</artifactId>

   <version>3.3.2</version>

 </dependency>

 <dependency>

   <groupId>rapidminer-custom</groupId>

   <artifactId>52n-wps-algorithm-d4science</artifactId>

   <version>3.3.2</version>

 </dependency>

 2 - add the following dependency to the pom

<dependency>

 <groupId>javassist</groupId>

 <artifactId>javassist</artifactId>

 <version>3.12.1.GA</version>

</dependency>

History

#1 - Mar 10, 2016 05:54 PM - Andrea Dell'Amico

Gianpaolo Coro wrote:

Please, update dataminer provisioning scripts with the following information (also available on the Wiki now):

1 - Substitute the 52n-wps-server-3.3.2-X.jar and 52n-wps-algorithm-3.3.2-X.jar with the corresponding jars on our Maven gcube-externals

repository:

(Repository: "gCube Externals")

 <dependency>

   <groupId>rapidminer-custom</groupId>

   <artifactId>52n-wps-server-d4science</artifactId>

   <version>3.3.2</version>

 </dependency>

 <dependency>

   <groupId>rapidminer-custom</groupId>

   <artifactId>52n-wps-algorithm-d4science</artifactId>

   <version>3.3.2</version>

 </dependency>

 

I don't think I understand. I see 52n dependencies on the pom only:

                <dependency>
                        <groupId>org.n52.wps</groupId>

                        <artifactId>52n-wps-io-impl</artifactId>

                        <version>[3.3.1,4.0.0)</version>

                        <exclusions>

                                <exclusion>

                                        <artifactId>slf4j-api</artifactId>

                                        <groupId>org.slf4j</groupId>

                                </exclusion>

                        </exclusions>

                </dependency>

                <dependency>

                        <groupId>org.n52.wps</groupId>

                        <artifactId>52n-wps-algorithm</artifactId>

                        <version>[3.3.1,4.0.0)</version>

                        <exclusions>

                                <exclusion>

                                        <artifactId>slf4j-api</artifactId>

                                        <groupId>org.slf4j</groupId>

                                </exclusion>

                        </exclusions>

                </dependency>

                <dependency>

                        <groupId>org.n52.wps</groupId>

                        <artifactId>52n-wps-server</artifactId>

                        <version>[3.3.1,4.0.0)</version>

                        <exclusions>

                                <exclusion>

                                        <artifactId>slf4j-api</artifactId>

                                        <groupId>org.slf4j</groupId>

                                </exclusion>

                        </exclusions>

                </dependency>

 2 - add the following dependency to the pom

<dependency>

 <groupId>javassist</groupId>

 <artifactId>javassist</artifactId>

 <version>3.12.1.GA</version>

</dependency>

 

@luca.frosini@isti.cnr.it just removed javassist from the provided libs. It gives a lot of errors at startup, see https://support.d4science.org/issues/2472

The last javassist version known to work with our tomcat version is 3.9, btw.

Last: those modifications must have effect immediately or starting from the next upgrade? I'm asking because it's possible that we need to build the

dataminer EGI image again.

#2 - Mar 10, 2016 06:04 PM - Gianpaolo Coro

The first part (the two libs) should be substituted to the default ones coming from the WPS 52N application (not from the pom). Thus, they are not in

the pom (they are not dataminer dependencies), and one of them is already managed but the current ansible script. 

Just remember how you implemented point three of this Wiki: https://wiki.gcube-system.org/gcube/DataMiner_Installation

javaassist is now used by the wps web application internally and deployed in the wps folder libs. It gave error when used by the accounting and put

among the tomcat libs. This way generates no issue.

#3 - Jun 22, 2016 11:11 AM - Andrea Dell'Amico

- Status changed from New to Closed

- % Done changed from 0 to 100

Changes made by @gianpaolo.coro@isti.cnr.it 
